> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models



## OpenAPI

````yaml get /v1/models/list
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/models/list:
    get:
      tags:
        - Models
      summary: List Models
      operationId: List_Models_v1_models_list_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListModels'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListModels:
      properties:
        resources:
          items:
            $ref: '#/components/schemas/Resources'
          type: array
          title: Resources
      type: object
      required:
        - resources
      title: ListModels
    Resources:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        lifecycle:
          items:
            $ref: '#/components/schemas/Lifecycle'
          type: array
          title: Lifecycle
        type:
          type: string
          title: Type
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - id
        - label
        - lifecycle
        - type
        - tags
      title: Resources
    Lifecycle:
      properties:
        id:
          type: string
          title: Id
        start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Date
      type: object
      required:
        - id
      title: Lifecycle
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````